ON_3dmProperties Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_3dm_properties.h>`

## Public Member Functions

| ON_3dmProperties ()
| ~ON_3dmProperties ()
| ON_3dmProperties (const ON_3dmProperties &)
ON_3dmProperties & | operator= (const ON_3dmProperties &)
void | Default ()
ON_BOOL32 | Read (ON_BinaryArchive &)
ON_BOOL32 | Write (ON_BinaryArchive &) const
void | Dump (ON_TextLog &) const

## Public Attributes

ON_3dmRevisionHistory | m_RevisionHistory
ON_3dmNotes | m_Notes
ON_WindowsBitmap | m_PreviewImage
ON_3dmApplication | m_Application

## Detailed Description

Definition at line 119 of file opennurbs_3dm_properties.h.

## Constructor & Destructor Documentation

## ON_3dmProperties() [1/2]

ON_3dmProperties::ON_3dmProperties | ( |  | ) |

## ~ON_3dmProperties()

ON_3dmProperties::~ON_3dmProperties | ( |  | ) |

## ON_3dmProperties() [2/2]

ON_3dmProperties::ON_3dmProperties | ( | const ON_3dmProperties & |  | ) |

## Member Function Documentation

## Default()

void ON_3dmProperties::Default | ( |  | ) |

## Dump()

void ON_3dmProperties::Dump | ( | ON_TextLog & |  | ) | const

## operator=()

ON_3dmProperties& ON_3dmProperties::operator= | ( | const ON_3dmProperties & |  | ) |

## Read()

ON_BOOL32 ON_3dmProperties::Read | ( | ON_BinaryArchive & |  | ) |

## Write()

ON_BOOL32 ON_3dmProperties::Write | ( | ON_BinaryArchive & |  | ) | const

## Member Data Documentation

## m_Application

ON_3dmApplication ON_3dmProperties::m_Application

Definition at line 137 of file opennurbs_3dm_properties.h.

## m_Notes

ON_3dmNotes ON_3dmProperties::m_Notes

Definition at line 135 of file opennurbs_3dm_properties.h.

## m_PreviewImage

ON_WindowsBitmap ON_3dmProperties::m_PreviewImage

Definition at line 136 of file opennurbs_3dm_properties.h.

## m_RevisionHistory

ON_3dmRevisionHistory ON_3dmProperties::m_RevisionHistory

Definition at line 134 of file opennurbs_3dm_properties.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_3dm_properties.h